<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Redis集群 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="Redis集群：非关系型数据库，以键值对的形式来存储数据，数据存储在内存中，支持数据的持久化，通过持久化文件RDB,AOF，也可以用作缓存服务器，从redis3版本开始支持cluster（集群）功能 Redis集群的特点1）redis集群是去掉中心化，群集中每一个节点都可以接收客户端的连接请求，节点之间通过总线端口互相通信，总线端口与redis对客户端提供服务的端口之间有固定的偏移量10000，例">
<meta property="og:type" content="article">
<meta property="og:title" content="Redis集群">
<meta property="og:url" content="http://example.com/2021/02/18/Redis%E9%9B%86%E7%BE%A4/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="Redis集群：非关系型数据库，以键值对的形式来存储数据，数据存储在内存中，支持数据的持久化，通过持久化文件RDB,AOF，也可以用作缓存服务器，从redis3版本开始支持cluster（集群）功能 Redis集群的特点1）redis集群是去掉中心化，群集中每一个节点都可以接收客户端的连接请求，节点之间通过总线端口互相通信，总线端口与redis对客户端提供服务的端口之间有固定的偏移量10000，例">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-18T08:53:00.000Z">
<meta property="article:modified_time" content="2021-02-18T09:24:58.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/18/Redis%E9%9B%86%E7%BE%A4/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-18 17:24:58'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Redis集群</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-18T08:53:00.000Z" title="发表于 2021-02-18 16:53:00">2021-02-18</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-18T09:24:58.000Z" title="更新于 2021-02-18 17:24:58">2021-02-18</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/GRedis/">GRedis</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><p>Redis集群：非关系型数据库，以键值对的形式来存储数据，数据存储在内存中，支持数据的持久化，通过持久化文件RDB,AOF，也可以用作缓存服务器，从redis3版本开始支持cluster（集群）功能</p>
<h2 id="Redis集群的特点"><a href="#Redis集群的特点" class="headerlink" title="Redis集群的特点"></a>Redis集群的特点</h2><p>1）redis集群是去掉中心化，群集中每一个节点都可以接收客户端的连接请求，节点之间通过总线端口互相通信，总线端口与redis对客户端提供服务的端口之间有固定的偏移量10000，<br>例：redis监听的端口为7000，则总线端口为17000</p>
<p>2）redis集群中的节点通过哈希槽的槽点来分配要读取和写入的数据，槽点数量为16384个取值范围为0-16383，集群中的主节点平均分配着些槽点，当数据要写入或者读取时，会对数据的键进行CRC16算法的计算得到的值在对16384范围内进行提取数据，对最终结果进行和槽点的匹配，来判断该数据应该写入到哪个节点或者从哪个节点读取</p>
<p>3）Redis支持主从复制，每隔主节点可以有一个到多个从节点，主节点对外提供服务，从节点只是备份数据，当主节点故障时会从它的从节点中随机选一台作为新的主节点提供服务</p>
<p>4）Redis集群中节点直接可以互相投票，当超过半数以上的主机认为某个节点不可用，则该主节点不可用，如果主节点没有从节点，则整个集群不可用，redsi集群中主节点的个数为奇数个</p>
<p><img src="%5Cimages%5Cpasted-103.png" alt="upload successful"></p>
<h2 id="安装依赖工具（节点A）"><a href="#安装依赖工具（节点A）" class="headerlink" title="安装依赖工具（节点A）"></a>安装依赖工具（节点A）</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">yum -y install ruby rubygems</span><br><span class="line">gem install  redis-3.3.0.gem</span><br></pre></td></tr></table></figure>
<h2 id="解压软件包（三台）"><a href="#解压软件包（三台）" class="headerlink" title="解压软件包（三台）"></a>解压软件包（三台）</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">tar zxf redis-4.0.6.tar.gz</span><br><span class="line">mv redis-4.0.6 &#x2F;usr&#x2F;local&#x2F;redis</span><br><span class="line">cd &#x2F;usr&#x2F;local&#x2F;redis&#x2F;</span><br><span class="line">make &amp;&amp; make install</span><br></pre></td></tr></table></figure>
<h2 id="节点A创建群集目录"><a href="#节点A创建群集目录" class="headerlink" title="节点A创建群集目录"></a>节点A创建群集目录</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">mkdir -p &#x2F;cluster&#x2F;7000 &#x2F;cluster&#x2F;7001</span><br></pre></td></tr></table></figure>
<h2 id="节点B创建群集目录"><a href="#节点B创建群集目录" class="headerlink" title="节点B创建群集目录"></a>节点B创建群集目录</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">mkdir -p &#x2F;cluster&#x2F;7002 &#x2F;cluster&#x2F;7003</span><br></pre></td></tr></table></figure>
<h2 id="节点C创建群集目录"><a href="#节点C创建群集目录" class="headerlink" title="节点C创建群集目录"></a>节点C创建群集目录</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">mkdir -p &#x2F;cluster&#x2F;7004 &#x2F;cluster&#x2F;7005</span><br></pre></td></tr></table></figure>
<h2 id="节点A操作"><a href="#节点A操作" class="headerlink" title="节点A操作"></a>节点A操作</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br></pre></td><td class="code"><pre><span class="line">#拷贝redis目录下的redis.conf配置文件到&#x2F;cluster&#x2F;7000和7001</span><br><span class="line">cp &#x2F;usr&#x2F;local&#x2F;redis&#x2F;redis.conf &#x2F;cluster&#x2F;7000</span><br><span class="line"></span><br><span class="line">#修改主从节点7000配置文件</span><br><span class="line">vim &#x2F;cluster&#x2F;7000&#x2F;redis.conf</span><br><span class="line">port 7000			&#x2F;&#x2F;监听端口</span><br><span class="line">bind 0.0.0.0			&#x2F;&#x2F;监听IP</span><br><span class="line">daemonize yes				&#x2F;&#x2F;允许后台运行</span><br><span class="line">cluster-enabled yes				&#x2F;&#x2F;开启主从节点</span><br><span class="line">cluster-config-file nodes-7000.conf	&#x2F;&#x2F;从节点配置文件</span><br><span class="line">cluster-node-timeout 5000		&#x2F;&#x2F;从节点通信的超时时间，单位毫秒（5000毫秒&#x3D;5s）</span><br><span class="line"></span><br><span class="line">#将7000端口的配置文件拷贝到7001目录下，并修改7001的配置文件</span><br><span class="line">cp &#x2F;cluster&#x2F;7000&#x2F;redis.conf &#x2F;cluster&#x2F;7001</span><br><span class="line">sed -i &#39;s&#x2F;7000&#x2F;7001&#x2F;g&#39; &#x2F;cluster&#x2F;7001&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#启动7000和7001端口的配置文件</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7000&#x2F;redis.conf</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7001&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#放行防火墙</span><br><span class="line">systemctl stop firewalld</span><br><span class="line">setenforce 0</span><br><span class="line"></span><br><span class="line">#将7000端口的配置文件分别远程拷贝到BC两台redis服务节点的02.03.04.05中</span><br><span class="line">cd &#x2F;cluster&#x2F;7000&#x2F;</span><br><span class="line">scp redis.conf root@172.16.1.13:&#x2F;cluster&#x2F;7002&#x2F;</span><br><span class="line">scp redis.conf root@172.16.1.13:&#x2F;cluster&#x2F;7003&#x2F;</span><br><span class="line">scp redis.conf root@172.16.1.14:&#x2F;cluster&#x2F;7004&#x2F;</span><br><span class="line">scp redis.conf root@172.16.1.14:&#x2F;cluster&#x2F;7005&#x2F;</span><br></pre></td></tr></table></figure>
<h2 id="节点B操作"><a href="#节点B操作" class="headerlink" title="节点B操作"></a>节点B操作</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br></pre></td><td class="code"><pre><span class="line">sed -i &#39;s&#x2F;7000&#x2F;7002&#x2F;g&#39; &#x2F;cluster&#x2F;7002&#x2F;redis.conf</span><br><span class="line">sed -i &#39;s&#x2F;7000&#x2F;7003&#x2F;g&#39; &#x2F;cluster&#x2F;7003&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#启动7000和7001端口的配置文件</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7002&#x2F;redis.conf</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7003&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#放行防火墙</span><br><span class="line">systemctl stop firewalld</span><br><span class="line">setenforce 0</span><br></pre></td></tr></table></figure>
<h2 id="节点C操作"><a href="#节点C操作" class="headerlink" title="节点C操作"></a>节点C操作</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br></pre></td><td class="code"><pre><span class="line">sed -i &#39;s&#x2F;7000&#x2F;7004&#x2F;g&#39; &#x2F;cluster&#x2F;7004&#x2F;redis.conf</span><br><span class="line">sed -i &#39;s&#x2F;7000&#x2F;7005&#x2F;g&#39; &#x2F;cluster&#x2F;7005&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#启动7000和7001端口的配置文件</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7004&#x2F;redis.conf</span><br><span class="line">redis-server &#x2F;cluster&#x2F;7005&#x2F;redis.conf</span><br><span class="line"></span><br><span class="line">#放行防火墙</span><br><span class="line">systemctl stop firewalld</span><br><span class="line">setenforce 0</span><br></pre></td></tr></table></figure>
<h2 id="创建群集"><a href="#创建群集" class="headerlink" title="创建群集"></a>创建群集</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;usr&#x2F;local&#x2F;redis&#x2F;src</span><br><span class="line">.&#x2F;redis-trib.rb create --replicas 1 172.16.1.12:7000 172.16.1.12:7001 172.16.1.13:7002 172.16.1.13:7003 172.16.1.14:7004 172.16.1.14:7005</span><br></pre></td></tr></table></figure>
<blockquote>
<p>create：创建集群 –replicas给主节点指定从节点个数<br>reshard 槽点重新分配<br>info 集群信息<br>add-node：添加节点，默认为主节点<br>add-node –slave 添加从节点<br>–master-id：指定主节点<br>del-node：删除节点，如果是主节点，这里的槽点需要提前转移，然后删除<br>./redis-trib.rb check 172.16.1.12:7000</p>
</blockquote>
<h2 id="添加从节点"><a href="#添加从节点" class="headerlink" title="添加从节点"></a>添加从节点</h2><blockquote>
<p>需要带着选项–slave</p>
</blockquote>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br></pre></td><td class="code"><pre><span class="line"># 准备从节点配置文件目录</span><br><span class="line">[root@localhost ~]# mkdir &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7006</span><br><span class="line">[root@localhost ~]# cp &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7000&#x2F;redis.conf &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7006&#x2F;</span><br><span class="line">[root@localhost ~]# sed -i &quot;s&#x2F;7000&#x2F;7006&#x2F;g&quot; &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7006&#x2F;redis.conf </span><br><span class="line"># 启动从节点</span><br><span class="line">[root@localhost ~]# redis-server &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7006&#x2F;redis.conf </span><br><span class="line">[root@localhost ~]# &#x2F;usr&#x2F;local&#x2F;redis&#x2F;src&#x2F;redis-trib.rb check 172.16.1.12:7000</span><br><span class="line"># 粘贴任意一个主的uuid</span><br><span class="line">2172d6d3bfcc487241903193d437ff9dc9a60995</span><br><span class="line">redis-trib.rb add-node --slave &#123;新节点IP+端口&#125; &#123;172.16.1.12:7000&#125;</span><br></pre></td></tr></table></figure>
<h2 id="给指定的主节点添加从节点"><a href="#给指定的主节点添加从节点" class="headerlink" title="给指定的主节点添加从节点"></a>给指定的主节点添加从节点</h2><blockquote>
<p>需要指明主节点的节点ID</p>
</blockquote>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">redis-trib.rb add-node --slave --master-id 470d23e9cfeaf224c1227ca3773c1cb910931f81 &#123;新节点IP+端口&#125; &#123;172.16.1.12:7000&#125;</span><br></pre></td></tr></table></figure>
<h2 id="添加主节点"><a href="#添加主节点" class="headerlink" title="添加主节点"></a>添加主节点</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br></pre></td><td class="code"><pre><span class="line"># 准备主节点配置文件目录</span><br><span class="line">[root@localhost ~]# mkdir &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7007</span><br><span class="line">[root@localhost ~]# cp &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7000&#x2F;redis.conf &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7007&#x2F;</span><br><span class="line">[root@localhost ~]# sed -i &quot;s&#x2F;7000&#x2F;7007&#x2F;g&quot; &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7007&#x2F;redis.conf</span><br><span class="line"># 启动服务</span><br><span class="line">[root@localhost ~]# redis-server &#x2F;usr&#x2F;local&#x2F;cluster&#x2F;7007&#x2F;redis.conf</span><br><span class="line">创建主节点</span><br><span class="line">&#x2F;usr&#x2F;local&#x2F;redis&#x2F;src&#x2F;redis-trib.rb add-node &#123;新节点IP+端口&#125; &#123;172.16.1.12:7000&#125;</span><br><span class="line"></span><br><span class="line">[root@localhost ~]# &#x2F;usr&#x2F;local&#x2F;redis&#x2F;src&#x2F;redis-trib.rb check 172.16.1.12:7000</span><br><span class="line"># 因为没有槽点。复制刚添加的端口号的uuid，要进行重新分配槽点</span><br><span class="line">90e63fe3e6c50fe596e761c2b652f5e10d65ff84</span><br><span class="line">[root@localhost ~]# &#x2F;usr&#x2F;local&#x2F;redis&#x2F;src&#x2F;redis-trib.rb reshard 172.16.1.12:7000</span><br><span class="line">填写移动槽点  因为四台16384&#x2F;4&#x3D;4096</span><br><span class="line">然后，填写uuid，输入all，yes就好了</span><br><span class="line">[root@localhost ~]# &#x2F;usr&#x2F;local&#x2F;redis&#x2F;src&#x2F;redis-trib.rb check 172.16.1.12:7000</span><br><span class="line"># 再次查看7007有了槽点</span><br></pre></td></tr></table></figure>
<h2 id="槽点重分配指令"><a href="#槽点重分配指令" class="headerlink" title="槽点重分配指令"></a>槽点重分配指令</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">redis-trib.rb reshard 172.16.1.12:7000  &#x2F;&#x2F;对172.16.1.12:7000这个节点所在的集群进行槽点重分配</span><br></pre></td></tr></table></figure>
<h2 id="节点删除指令"><a href="#节点删除指令" class="headerlink" title="节点删除指令"></a>节点删除指令</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">redis-trib.sh del-node 172.16.1.12:7000 node-id  &#x2F;&#x2F;要删除192.168.10.100:7000这个节点所在的集群中node-id所表示的这个节点</span><br></pre></td></tr></table></figure>
<h2 id="集群修复指令"><a href="#集群修复指令" class="headerlink" title="集群修复指令"></a>集群修复指令</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">redis-trib.rb fix &#123;要修复集群中的IP与端口&#125;</span><br><span class="line"></span><br></pre></td></tr></table></figure>
<h2 id="查看集群节点信息"><a href="#查看集群节点信息" class="headerlink" title="查看集群节点信息"></a>查看集群节点信息</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">redis-trib.rb info 172.16.1.12:7000</span><br></pre></td></tr></table></figure></article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/18/Redis%E9%9B%86%E7%BE%A4/">http://example.com/2021/02/18/Redis%E9%9B%86%E7%BE%A4/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/19/RabbitMQ%E6%B6%88%E6%81%AF%E9%98%9F%E5%88%97/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">RabbitMQ消息队列</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/18/Redis%E7%BC%93%E5%AD%98/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Redis缓存</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-2"><a class="toc-link" href="#Redis%E9%9B%86%E7%BE%A4%E7%9A%84%E7%89%B9%E7%82%B9"><span class="toc-number">1.</span> <span class="toc-text">Redis集群的特点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%AE%89%E8%A3%85%E4%BE%9D%E8%B5%96%E5%B7%A5%E5%85%B7%EF%BC%88%E8%8A%82%E7%82%B9A%EF%BC%89"><span class="toc-number">2.</span> <span class="toc-text">安装依赖工具（节点A）</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%A7%A3%E5%8E%8B%E8%BD%AF%E4%BB%B6%E5%8C%85%EF%BC%88%E4%B8%89%E5%8F%B0%EF%BC%89"><span class="toc-number">3.</span> <span class="toc-text">解压软件包（三台）</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9A%E5%88%9B%E5%BB%BA%E7%BE%A4%E9%9B%86%E7%9B%AE%E5%BD%95"><span class="toc-number">4.</span> <span class="toc-text">节点A创建群集目录</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9B%E5%88%9B%E5%BB%BA%E7%BE%A4%E9%9B%86%E7%9B%AE%E5%BD%95"><span class="toc-number">5.</span> <span class="toc-text">节点B创建群集目录</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9C%E5%88%9B%E5%BB%BA%E7%BE%A4%E9%9B%86%E7%9B%AE%E5%BD%95"><span class="toc-number">6.</span> <span class="toc-text">节点C创建群集目录</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9A%E6%93%8D%E4%BD%9C"><span class="toc-number">7.</span> <span class="toc-text">节点A操作</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9B%E6%93%8D%E4%BD%9C"><span class="toc-number">8.</span> <span class="toc-text">节点B操作</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9C%E6%93%8D%E4%BD%9C"><span class="toc-number">9.</span> <span class="toc-text">节点C操作</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E7%BE%A4%E9%9B%86"><span class="toc-number">10.</span> <span class="toc-text">创建群集</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%B7%BB%E5%8A%A0%E4%BB%8E%E8%8A%82%E7%82%B9"><span class="toc-number">11.</span> <span class="toc-text">添加从节点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E7%BB%99%E6%8C%87%E5%AE%9A%E7%9A%84%E4%B8%BB%E8%8A%82%E7%82%B9%E6%B7%BB%E5%8A%A0%E4%BB%8E%E8%8A%82%E7%82%B9"><span class="toc-number">12.</span> <span class="toc-text">给指定的主节点添加从节点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%B7%BB%E5%8A%A0%E4%B8%BB%E8%8A%82%E7%82%B9"><span class="toc-number">13.</span> <span class="toc-text">添加主节点</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%A7%BD%E7%82%B9%E9%87%8D%E5%88%86%E9%85%8D%E6%8C%87%E4%BB%A4"><span class="toc-number">14.</span> <span class="toc-text">槽点重分配指令</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E8%8A%82%E7%82%B9%E5%88%A0%E9%99%A4%E6%8C%87%E4%BB%A4"><span class="toc-number">15.</span> <span class="toc-text">节点删除指令</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%9B%86%E7%BE%A4%E4%BF%AE%E5%A4%8D%E6%8C%87%E4%BB%A4"><span class="toc-number">16.</span> <span class="toc-text">集群修复指令</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E9%9B%86%E7%BE%A4%E8%8A%82%E7%82%B9%E4%BF%A1%E6%81%AF"><span class="toc-number">17.</span> <span class="toc-text">查看集群节点信息</span></a></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>